Package org.apache.tools.ant.taskdefs.optional.ejb

## Interface EJBDeploymentTool

- All Known Implementing Classes:
    `BorlandDeploymentTool`, `GenericDeploymentTool`, `IPlanetDeploymentTool`, `JbossDeploymentTool`, `JonasDeploymentTool`, `OrionDeploymentTool`, `WeblogicDeploymentTool`, `WeblogicTOPLinkDeploymentTool`, `WebsphereDeploymentTool`

      public interface EJBDeploymentTool

  The interface to implement for deployment tools.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure​(org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.Config config)` | Configure this tool for use in the ejbjar task.
    `void` | `processDescriptor​(java.lang.String descriptorFilename, javax.xml.parsers.SAXParser saxParser)` | Process a deployment descriptor, generating the necessary vendor specific deployment files.
    `void` | `setTask​(Task task)` | Set the task which owns this tool
    `void` | `validateConfigured()` | Called to validate that the tool parameters have been configured.

- - ### Method Detail

    - #### processDescriptor

          void processDescriptor​(java.lang.String descriptorFilename,
                                 javax.xml.parsers.SAXParser saxParser)
                          throws BuildException

      Process a deployment descriptor, generating the necessary vendor specific deployment files.
      Parameters:
        `descriptorFilename` - the name of the deployment descriptor
        `saxParser` - a SAX parser which can be used to parse the deployment descriptor.
      Throws:
        `BuildException` - if there is an error.

    - #### validateConfigured

          void validateConfigured()
                           throws BuildException

      Called to validate that the tool parameters have been configured.
      Throws:
        `BuildException` - if there is an error.

    - #### setTask

          void setTask​(Task task)

      Set the task which owns this tool
      Parameters:
        `task` - the task.

    - #### configure

          void configure​(org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.Config config)

      Configure this tool for use in the ejbjar task.
      Parameters:
        `config` - contains configuration state.